--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: key_for
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: MAX_TRIES
  value: "10"
full_name: DataMapper::Sweatshop::UniqueWorker
includes: []

instance_methods: []

name: UniqueWorker
superclass: Object
